#CRUD Leçon: C et U sont déportés dans module/settings
#show: montre les activités (et leurs composants) d'une leçon
courses_lesson_show_activities:
    path:     /{id}/show_activities
    defaults: { _controller: CoursesBundle:Lecon:showactivities }
    methods:  [GET, POST]

courses_lesson_show_lesson:
    path:     /{id}/show_lesson
    defaults: { _controller: CoursesBundle:Lecon:showLesson }
    methods:  [GET, POST]

courses_lesson_show_activities_apercu:
    path:     /{id}/show_activities_apercu
    defaults: { _controller: CoursesBundle:Lecon:showactivitiesapercu }
    methods:  [GET, POST]

courses_lesson_index:
    path:     /index
    defaults: { _controller: FormationBundle:Default:registered }
    methods:  [GET, POST]

courses_lecon_edit:
    path:     /{id}/edit
    defaults: { _controller: CoursesBundle:Lecon:edit }

courses_lesson_delete:
    path:     /{id}/delete
    defaults: { _controller: CoursesBundle:Lecon:delete }

lesson_edit:
    path:     /{idLiaison}/lesson/edit
    defaults: { _controller: CoursesBundle:Lecon:editLesson }

lesson_remove_composant:
    path:     /{id}/remove-exercice
    defaults: { _controller: CoursesBundle:Lecon:removeExercice }

courses_lesson_list_activite:
    path:     /{id}/list-activites
    defaults: { _controller: CoursesBundle:Lecon:listActivites }

courses_lesson_activity_order_update:
    path:     /{id}/order-activities
    defaults: { _controller: CoursesBundle:Lecon:orderActivities }

courses_lesson_add_activity:
    path:     /{id}/add-activity
    defaults: { _controller: CoursesBundle:Lecon:addActivity }

courses_lesson_list_activities:
    path:     /{id}/list-free-activities
    defaults: { _controller: CoursesBundle:Lecon:listFreeActivities }

courses_lesson_list_activities_json:
    path:     /{id}/list-free-activities-json
    defaults: { _controller: CoursesBundle:Lecon:listFreeActivitiesJSON }

courses_lesson_add_activities:
    path:     /{id}/add-activities
    defaults: { _controller: CoursesBundle:Lecon:addActivities }

courses_lesson_remove_activity:
    path:     /remove-activity/{id}/
    defaults: { _controller: CoursesBundle:Lecon:removeActivity }

courses_lesson_add_one_activity:
    path:     /{id}/add-one-activity
    defaults: { _controller: CoursesBundle:Lecon:addOneActivityJSON }

courses_lesson_recap:
    path:       /{formation_id}/{module_id}/{id}/recap
    defaults: { _controller: CoursesBundle:Lecon:recap }

courses_lesson_finir_session:
    path:       /{formation_id}/{module_id}/{id}/finir_session/
    defaults: { _controller: CoursesBundle:Lecon:finir }

courses_lesson_list:
    path:       /list
    defaults: { _controller: CoursesBundle:Lecon:list, filtre_active: true }

courses_lesson_index_desactive:
    path:     /index_desactive
    defaults:
      _controller: CoursesBundle:Lecon:list
      filtre_active: false

courses_lesson_jsonList:
    path:       /list/jsonlist
    defaults: { _controller: CoursesBundle:Lecon:jsonList, with_session_reponse: true }

courses_nombre_parents:
    path:     /nombre-parent
    defaults: { _controller: CoursesBundle:Lecon:nombreParent }

courses_lesson_majdureetr:
  path:     /majDureeTR/{eleve_id}/{formation_id}/{module_id}/{lecon_id}
  defaults: { _controller: CoursesBundle:Lecon:majDureeTR }